export default class HaikuHTMLRenderer {
    config: any;
    doc: any;
    constructor(config: any);
    render(mount: any, virtualContainer: any, virtualTree: any, component: any): string;
    hasSizing(): boolean;
    createContainer(): {
        isContainer: boolean;
        layout: {
            computed: {
                size: any;
            };
        };
    };
    getLastContainer(): {
        isContainer: boolean;
        layout: {
            computed: {
                size: any;
            };
        };
    };
    initialize(): void;
    removeListener(): void;
    getUser(): any;
}
